# Class SavedServer | EchoHub Documentation

# Class SavedServer

Namespace
  EchoHub.Client.Config

Assembly
  EchoHub.Client.dll

    public class SavedServer

Inheritance
  object
  SavedServer

Inherited Members
  object.GetType()
  object.MemberwiseClone()
  object.ToString()
  object.Equals(object)
  object.Equals(object, object)
  object.ReferenceEquals(object, object)
  object.GetHashCode()

## Constructors

### SavedServer()

    public SavedServer()

## Properties

### LastConnected

    public DateTimeOffset LastConnected { get; set; }

#### Property Value

DateTimeOffset

### Name

    public required string Name { get; set; }

#### Property Value

string

### Token

    public string? Token { get; set; }

#### Property Value

string

### Url

    public required string Url { get; set; }

#### Property Value

string

### Username

    public string? Username { get; set; }

#### Property Value

string